This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 460660 - Review Request: php-pear-Auth - provides methods for creating an authentication system using PHP
Review Request: php-pear-Auth - provides methods for creating an authenticati...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Extras Quality Assurance
:
: php-pear-Auth (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-29 10:47 EDT by Rakesh Pandit
Modified: 2014-01-17 08:00 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-24 08:26:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
chris.stone: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rakesh Pandit 2008-08-29 10:47:42 EDT
Description
The PEAR::Auth package provides methods for creating an authentication
system using PHP.

Currently it supports the following storage containers to read/write
the login data:

* All databases supported by the PEAR database layer
* All databases supported by the MDB database layer
* All databases supported by the MDB2 database layer
* Plaintext files
* LDAP servers
* POP3 servers
* IMAP servers
* vpopmail accounts
* RADIUS
* SAMBA password files
* SOAP (Using either PEAR SOAP package or PHP5 SOAP extension)
* PEAR website
* Kerberos V servers
* SAP servers


SPEC: http://rakesh.fedorapeople.org/spec/php-pear-Auth.spec
SRPM: http://rakesh.fedorapeople.org/srpm/php-pear-Auth-1.6.1-6.fc9.src.rpm
Comment 1 Rakesh Pandit 2008-08-29 10:48:41 EDT
*** Bug 438804 has been marked as a duplicate of this bug. ***
Comment 2 Christopher Stone 2008-08-29 13:00:06 EDT
I think %doc should be:
%doc %{pear_name}-%{version}/docdir/%{pear_name}/*
Comment 3 Rakesh Pandit 2008-08-31 02:36:24 EDT
Thanks,

%changelog
* Fri Aug 29 2008 Rakesh Pandit <rakesh@fedoraproject.org> 1.6.1-7
- fixed %%doc (Christopher Stone)

SPEC: http://rakesh.fedorapeople.org/spec/php-pear-Auth.spec
SRPM: http://rakesh.fedorapeople.org/srpm/php-pear-Auth-1.6.1-7.fc9.src.rpm
Comment 4 Rakesh Pandit 2008-09-29 05:12:52 EDT
@Chris

Interested in continuing review here, as you reviewed the old one ;-)

Thanks
Comment 5 Christopher Stone 2008-10-23 15:46:44 EDT
==== REVIEW CHECKLIST ====

X rpmlint output:
php-pear-Auth-radius.noarch: W: no-documentation
php-pear-Auth.src: W: mixed-use-of-spaces-and-tabs (spaces: line 4, tab: line 12)
php-pear-Auth-samba.noarch: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 3 warnings.

Please remove all tabs from the spec file.

- package named according to package naming guidelines
- spec file name matches %[name}
- package meets packaging guidelines
- licensed under an approved fedora license
- %license matches actual license
X license file not included in %doc
- spec file written in American English
- spec file legible
- sources match upstream
8d482ac5b07ed74ab8f29430063c6bae  Auth-1.6.1.tgz
8d482ac5b07ed74ab8f29430063c6bae  ../SOURCES/Auth-1.6.1.tgz
- SRPM compiles on x86_64 F-9
- all build dependencies listed in BR
- no locales
- no shared libraries
- package is not relocatable
- package owns all directories it creates
- no duplicate files in %files
- file permissions set properly
- contains a proper %clean section
- macro usage is consistent
- contains code or permissible content
- no large documentation
- no header files
- no static libraries
- no pkgconfig files
- no .so files
- subpackages properly require parent package
- no libtool archives
- not a GUI application
- package does not own files or directories owned by other packages
- buildroot removed in %install
- all files valid utf-8


*** APPROVED ***

==== MUST FIX ====
- No items

==== SHOULD FIX ====
- Remove tabs from spec file
- Add a copy of the PHP license to %doc (see spec file for php-pear-File for an example)
Comment 6 Rakesh Pandit 2008-10-23 22:04:14 EDT
Thanks - Will fix all "should points" before importing.

New Package CVS Request
=======================
Package Name: php-pear-Auth
Short Description: provides methods for creating an authentication system using PHP
Owners: rakesh
Branches: F-8 F-9
InitialCC: rakesh
Cvsextras Commits: yes
Comment 7 Huzaifa S. Sidhpurwala 2008-10-24 04:39:47 EDT
cvs done
Comment 8 Fedora Update System 2008-10-24 08:21:34 EDT
php-pear-Auth-1.6.1-8.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/php-pear-Auth-1.6.1-8.fc8
Comment 9 Fedora Update System 2008-10-24 08:24:49 EDT
php-pear-Auth-1.6.1-8.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/php-pear-Auth-1.6.1-8.fc9
Comment 10 Rakesh Pandit 2008-10-24 08:26:42 EDT
Imported to RAWHIDE
Comment 11 Fedora Update System 2008-11-11 21:54:15 EST
php-pear-Auth-1.6.1-8.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2008-11-11 22:01:01 EST
php-pear-Auth-1.6.1-8.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Remi Collet 2014-01-17 07:20:45 EST
Package Change Request
======================
Package Name: php-pear-Auth
New Branches: el6 epel7
Owners: remi
Comment 14 Gwyn Ciesla 2014-01-17 08:00:05 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.